-- MySQL dump 9.07
--
-- Host: localhost    Database: rpm2html
---------------------------------------------------------
-- Server version	4.0.10-gamma'-Max'

--
-- Table structure for table 'Config'
--

CREATE TABLE Config (
  ID int(11) NOT NULL auto_increment,
  Name varchar(50) NOT NULL default '',
  Value varchar(255) default NULL,
  PRIMARY KEY  (ID),
  KEY Name (Name(10))
) TYPE=MyISAM;

--
-- Dumping data for table 'Config'
--


--
-- Table structure for table 'Distribs'
--

CREATE TABLE Distribs (
  ID int(11) NOT NULL auto_increment,
  Name varchar(255) NOT NULL default '',
  Vendor int(11) default NULL,
  Directory varchar(255) default NULL,
  Path varchar(100) NOT NULL default '',
  URL varchar(255) default NULL,
  URLSrc varchar(255) default NULL,
  Html varchar(8) default NULL,
  Color varchar(10) default NULL,
  Key1 text,
  Key2 text,
  Description text,
  PRIMARY KEY  (ID),
  KEY Name (Name(10))
) TYPE=MyISAM;

--
-- Dumping data for table 'Distribs'
--


--
-- Table structure for table 'Distributions'
--

CREATE TABLE Distributions (
  ID int(11) NOT NULL auto_increment,
  Name varchar(255) NOT NULL default '',
  URL varchar(255) default NULL,
  Key1 text,
  Key2 text,
  Key3 text,
  Description text,
  PRIMARY KEY  (ID),
  KEY Name (Name(10))
) TYPE=MyISAM;

--
-- Dumping data for table 'Distributions'
--


--
-- Table structure for table 'Files'
--

CREATE TABLE Files (
  ID int(11) NOT NULL default '0',
  Path varchar(35) NOT NULL default '',
  UNIQUE KEY id (ID,Path),
  KEY ID_2 (ID),
  KEY Path (Path)
) TYPE=MyISAM;

--
-- Dumping data for table 'Files'
--


--
-- Table structure for table 'Metadata'
--

CREATE TABLE Metadata (
  URL varchar(255) NOT NULL default '',
  Maintainer int(11) default NULL,
  Country int(11) default NULL,
  UNIQUE KEY URL (URL)
) TYPE=MyISAM;

--
-- Dumping data for table 'Metadata'
--


--
-- Table structure for table 'Mirrors'
--

CREATE TABLE Mirrors (
  ID int(11) default NULL,
  URL varchar(255) NOT NULL default '',
  Country int(11) default NULL,
  UNIQUE KEY URL (URL)
) TYPE=MyISAM;

--
-- Dumping data for table 'Mirrors'
--


--
-- Table structure for table 'Packages'
--

CREATE TABLE Packages (
  ID int(11) NOT NULL auto_increment,
  filename varchar(255) NOT NULL default '',
  Name varchar(50) NOT NULL default '',
  Version varchar(50) NOT NULL default '',
  Release varchar(50) NOT NULL default '',
  Arch varchar(15) NOT NULL default '',
  Dist int(11) default NULL,
  URL varchar(255) default NULL,
  URLSrc varchar(255) default NULL,
  Vendor int(11) default NULL,
  Packager int(11) default NULL,
  Category varchar(255) default NULL,
  Summary varchar(255) default NULL,
  Description text,
  Copyright varchar(255) default NULL,
  Date int(11) default NULL,
  Size int(11) default NULL,
  Os varchar(12) default NULL,
  PRIMARY KEY  (ID),
  KEY filename (filename(80)),
  KEY Name (Name(15))
) TYPE=MyISAM;

--
-- Dumping data for table 'Packages'
--


--
-- Table structure for table 'Provides'
--

CREATE TABLE Provides (
  ID int(11) NOT NULL default '0',
  Resource varchar(35) NOT NULL default '',
  UNIQUE KEY id (ID,Resource),
  KEY ID_2 (ID),
  KEY Resource (Resource)
) TYPE=MyISAM;

--
-- Dumping data for table 'Provides'
--


--
-- Table structure for table 'Queries'
--

CREATE TABLE Queries (
  ID int(11) NOT NULL auto_increment,
  Value varchar(50) NOT NULL default '',
  Count int(11) NOT NULL default '0',
  Results int(11) NOT NULL default '0',
  UNIQUE KEY id (ID,Value(35)),
  KEY ID_2 (ID),
  KEY Value (Value)
) TYPE=MyISAM;

--
-- Dumping data for table 'Queries'
--


--
-- Table structure for table 'Requires'
--

CREATE TABLE Requires (
  ID int(11) NOT NULL default '0',
  Resource varchar(35) NOT NULL default '',
  Rel char(2) default NULL,
  Value varchar(20) default NULL,
  UNIQUE KEY id (ID,Resource),
  KEY ID_2 (ID),
  KEY Resource (Resource)
) TYPE=MyISAM;

--
-- Dumping data for table 'Requires'
--


--
-- Table structure for table 'Searches'
--

CREATE TABLE Searches (
  URL varchar(255) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  active int(11) default NULL,
  UNIQUE KEY URL (URL),
  UNIQUE KEY name (name)
) TYPE=MyISAM;

--
-- Dumping data for table 'Searches'
--


--
-- Table structure for table 'Vendors'
--

CREATE TABLE Vendors (
  ID int(11) NOT NULL auto_increment,
  Name varchar(255) NOT NULL default '',
  URL varchar(255) default NULL,
  Key1 text,
  Key2 text,
  Key3 text,
  Description text,
  PRIMARY KEY  (ID),
  KEY Name (Name(10))
) TYPE=MyISAM;

--
-- Dumping data for table 'Vendors'
--


